CONN_PROTO_OPEN_FUNC(3)

PROTO_FUNC
conn_PROTO_open_func - Connection open event callback.

SYNOPSIS
#include <karma_conn.h>

flag conn_PROTO_open_func

(Connection connection, void **info)

DESCRIPTION
This routine is called when a connection opens.

connection
    The connection object.

info
    A pointer to the arbitrary information pointer. This may be modified

RETURN VALUE
TRUE on successful registration, else FALSE (indicating the connection should be closed).

Multi-threading Level
Unsafe.

NOTE
The <<close_func>> will not be called if this routine returns FALSE.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/